Subject: bug#44672: 28.0.50; 'ç' key on BR-ABNT2 keyboard translates to strange symbols

From: Yohanan <[email-masked]>
Date: Wed, 4 Aug 2021 23:47:13 -0300

> Have you examined the file and confirmed that it's not really encoded in
> utf-8?  It sounds unlikely that it's not, because that's exactly the
result
> you'd get if that's the case.

I actually meant "open with the web browser", not on emacs. I didn't
specify it
properly so my bad here :P

> As for the other issues, it kinda sounds like your terminal is confused
> as to what input methods and language environments it's running in.

Oh. I was using `st` and after reading this I tested it in `alacritty` and
`xterm`. It works on these, so it's probably an issue with my `st`.

Since it's probably not a bug with emacs, I think we can close it here.
Thanks
for the help!

On Wed, Aug 4, 2021 at 3:36 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Yohanan <[email-masked]> writes:
>
> > Try out the following HTML page:
> >     <meta charset="ISO-8859-1">
> >     ç
> > On my machine, opening a HTML file with this code shows:
> >     Ã§
>
> Have you examined the file and confirmed that it's not really encoded in
> utf-8?  It sounds unlikely that it's not, because that's exactly the
> result you'd get if that's the case.
>
> > I also experimented with the LC_ALL environment variable, and the result
> of
> > pasting the `ç` character onto a `LANG=en_US.UTF8 LC_ALL=en_US emacs -Q
> > -nw` emacs instance is a `ç` (yay!) but followed by what seems to be a
> space
> > character:
>
> As for the other issues, it kinda sounds like your terminal is confused
> as to what input methods and language environments it's running in.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>